Name:           ampache
URL:            http://www.ampache.org/
Version:        3.8.9
Release:        1%{?dist}
Summary:        Web based audio/video streaming application
License:        AGPL-3.0
Group:          Applications/Internet
Source:         https://github.com/ampache/ampache/archive/%{version}.tar.gz

Source1:        httpd.conf.ampache
Source2:        ampache-README
#Source3:        blueflower.tar.gz
#Source4:        vegas.tar.gz
#Source5:        looney-tunes.tar.gz
Source6:        ampache.logrotate
Source7:        blankalbum.jpg
Source8:        blankalbum.gif
Patch0:         ampache-3.8.2-cfg.patch
#Patch1:         ampache-3.5.3-confpath.patch
Patch2:         ampache-3.8.2-admin-passwd.patch
Patch3:         ampache-3.5.4-getid3.patch
Patch4:         ampache-3.5.4-set_magic_quotes_runtime.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  php-pear

# JavaScript libraries
# "carhartl/jquery-cookie": "1.*"
# Renamed upstream to https://github.com/js-cookie/js-cookie
Requires:       js-jquery-cookie >= 1
Requires:       js-jquery-cookie < 2

# "blueimp/jQuery-File-Upload": "9.*"
# Package review submitted: https://bugzilla.redhat.com/show_bug.cgi?id=1411201
Requires:       js-jquery-file-upload >= 9
Requires:       js-jquery-file-upload < 10

# "pklauzinski/jscroll": "2.*"
Requires:       js-jquery-jscroll >= 2
Requires:       js-jquery-jscroll < 3

# "vakata/jstree": "3.*"
Requires:       js-jquery-jstree >= 3
Requires:       js-jquery-jstree < 4

# "aterrien/jQuery-Knob": "1.2.*"
# Package review submitted: https://bugzilla.redhat.com/show_bug.cgi?id=1411166
Requires:       js-jquery-knob >= 1.2
Requires:       js-jquery-knob < 1.3

# "needim/noty": "2.3.*"
Requires:       js-jquery-noty >= 2.3
Requires:       js-jquery-noty < 2.4

# "scaron/prettyphoto": "3.*"
Requires:       js-jquery-prettyphoto >= 3
Requires:       js-jquery-prettyphoto < 4

# "jeromeetienne/jquery-qrcode": "dev-master"
Requires:       js-jquery-qrcode

# "kumailht/responsive-elements": "dev-master"
Requires:       js-responsive-elements

# "aehlke/tag-it": "2.*"
# Package review submitted: https://bugzilla.redhat.com/show_bug.cgi?id=1411157
Requires:       js-tag-it >= 2
Requires:       js-tag-it < 3

# Ampache only supports MySQL
Requires:       php-pdo_mysql

# External PHP libs required by Ampache. The comments over each requirement
# were taken from the composer.json file.
# "Afterster/php-echonest-api": "dev-master"
# Package review submitted: https://bugzilla.redhat.com/show_bug.cgi?id=1411188
Requires:       php-echonest-api

# "cboden/ratchet": "0.3.*"
# Ratchet depends on guzzle/http, which is abandoned upstream and replaced with guzzle/guzzle
# https://github.com/ampache/ampache/issues/957
Requires:       php-composer(cboden/ratchet) >= 0.3
Requires:       php-composer(cboden/ratchet) < 0.4

# "components/bootstrap": "3.*"
Requires:       php-composer(components/bootstrap) >= 3
Requires:       php-composer(components/bootstrap) < 4

# "components/jquery": "2.0.*"
Requires:       php-composer(components/jquery) >= 2.0.0
Requires:       php-composer(components/jquery) < 2.1.0

# "components/jqueryui": "1.*"
Requires:       php-composer(components/jqueryui) >= 1
Requires:       php-composer(components/jqueryui) < 2

# Fedora has a newer version of cache than Ampache's composer.json says it needs.
# https://github.com/ampache/ampache/issues/1465 has been filed about this.
# "doctrine/cache": "1.5.4"
Requires:       php-composer(doctrine/cache)

# "evenement/evenement": "2.*"
# Submitted package review https://bugzilla.redhat.com/show_bug.cgi?id=1413339
Requires:       php-composer(evenement/evenement) >= 2
Requires:       php-composer(evenement/evenement) < 3

# "gettext/gettext": "3.5.*"
Requires:       php-composer(gettext/gettext) >= 3.5
Requires:       php-composer(gettext/gettext) < 3.6

# "happyworm/jplayer": "2.*"
Requires:       php-composer(happyworm/jplayer) >= 2
Requires:       php-composer(happyworm/jplayer) < 3

# "james-heinrich/getid3": "dev-master"
Requires:       php-composer(james-heinrich/getid3) >= 1.9.12

# "maennchen/zipstream-php": "0.*"
Requires:       php-composer(maennchen/zipstream-php) < 1

# "mikealmond/musicbrainz": "dev-master"
Requires:       php-composer(mikealmond/musicbrainz) < 1

# "openid/php-openid": "2.*"
Requires:       php-composer(openid/php-openid) >= 2
Requires:       php-composer(openid/php-openid) < 3

# "phpmailer/phpmailer": "5.2.*"
Requires:       php-composer(phpmailer/phpmailer) >= 5.2
Requires:       php-composer(phpmailer/phpmailer) < 5.3

# "react/react": "0.4.*"
Requires:       php-composer(react/react) >= 0.4
Requires:       php-composer(react/react) < 0.5

# "rmccue/requests": "1.6.*"
Requires:       php-composer(rmccue/requests) >= 1.6
Requires:       php-composer(rmccue/requests) < 1.7

# "sabre/dav": "3.0.5"
Requires:       php-composer(sabre/dav) == 3.0.5

# "symfony/event-dispatcher": "2.7.*"
Requires:       php-composer(symfony/event-dispatcher) >= 2.7
Requires:       php-composer(symfony/event-dispatcher) < 2.8

# "symfony/http-foundation": "2.7.*"
Requires:       php-composer(symfony/http-foundation) >= 2.7
Requires:       php-composer(symfony/http-foundation) < 2.8

# "symfony/process": "~2.1"
Requires:       php-composer(symfony/process) >= 2.1

# "symfony/routing": "2.7.*"
Requires:       php-composer(symfony/routing) >= 2.7
Requires:       php-composer(symfony/routing) < 2.8

# "szymach/c-pchart": "1.*"
Requires:       php-composer(szymach/c-pchart) >= 1
Requires:       php-composer(szymach/c-pchart) < 2

# "xdan/datetimepicker": "2.*"
Requires:       php-composer(xdan/datetimepicker) >= 2
Requires:       php-composer(xdan/datetimepicker) < 3

# Core PHP libs/extensions required by Ampache
Requires:       php(language) >= 5.4.0
Requires:       php-pdo
Requires:       php-mysqlnd
Requires:       php-hash
Requires:       php-session
Requires:       php-json
Requires:       php-simplexml
Requires:       php-curl
Requires:       php-gd
Requires:       php-gmp
Requires:       php-dom
Requires:       php-pcre
Requires:       php-spl
Requires:       php-ctype
Requires:       php-date
Requires:       php-iconv
Requires:       php-libxml
Requires:       php-mbstring
Requires:       php-xmlwriter
Requires:       php-xmlreader
Requires:       php-libxml
#Requires:       php-mysql
BuildRequires:  dos2unix
BuildArchitectures: noarch

Requires:       httpd

%description
Ampache is a web based audio/video streaming application, and 
file manager, which allows the access of your music & videos 
from anywhere, by using almost any internet enabled device. 

Read the README files about configuring ampache.

%prep
%setup -q 
#%patch0 -p1 -b .cfg
#%patch1 -p1 -b .confpath
#%patch2 -p1 -b .passwd

#%{_bindir}/iconv -f iso8859-1 -t utf8 sql/ampache.sql -o sql/ampache.sql.txt
#touch -r sql/ampache.sql sql/ampache.sql.txt
#mv sql/ampache.sql.txt sql/ampache.sql
#%{__rm} {config,bin,daap,lib,lib/javascript,modules,plex,templates}/.htaccess \
#    {channel,play,rest}/.htaccess.dist

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_datadir}/ampache
%{__mkdir_p} %{buildroot}%{_sysconfdir}/ampache
%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf.d
%{__mkdir_p} %{buildroot}%{_sysconfdir}/logrotate.d
%{__mkdir_p} %{buildroot}%{_localstatedir}/log/ampache
%{__mkdir_p} %{buildroot}%{_mandir}
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/ampache.conf
%{__install} -m 644 %{SOURCE2} README.FEDORA
%{__install} -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/ampache


%{__cp} -a admin bin channel daap images lib locale modules nbproject play plex rest scripts server templates themes upnp webdav $RPM_BUILD_ROOT/%{_datadir}/ampache/
%{__cp} -a favicon.ico *.php composer.* $RPM_BUILD_ROOT/%{_datadir}/ampache/
dos2unix config/ampache.cfg.php.dist
%{__cp} -p config/ampache.cfg.php.dist $RPM_BUILD_ROOT/%{_sysconfdir}/ampache/ampache.cfg.php.dist
%{__cp} -p config/ampache.cfg.php.dist $RPM_BUILD_ROOT/%{_sysconfdir}/ampache/ampache.cfg.php
%{__cp} -p config/motd.php.dist $RPM_BUILD_ROOT/%{_sysconfdir}/ampache/motd.php.dist
%{__cp} -p config/registration_agreement.php.dist $RPM_BUILD_ROOT/%{_sysconfdir}/ampache/registration_agreement.php.dist

%{__mv} docs/man/man1 %{buildroot}%{_mandir}/
%{__rm} -f %{_builddir}/%{name}-%{version}/docs/man/man1/ampache.1
sed -i -e's,serverroot,%{_datadir},g' %{buildroot}%{_sysconfdir}/httpd/conf.d/ampache.conf
#pushd %{buildroot}%{_datadir}/ampache
#        tar -zxf %{SOURCE3}
#        tar -zxf %{SOURCE4}
#        tar -zxf %{SOURCE5}
#        %{__mv} tmp/themes/* themes
#        %{__cp} -a %{SOURCE7} themes/looney-tunes/images/blankalbum.jpg
#        %{__cp} -a %{SOURCE8} themes/looney-tunes/images/blankalbum.gif
#        %{__cp} -a %{SOURCE7} themes/vegas/images/blankalbum.jpg
#        %{__cp} -a %{SOURCE8} themes/vegas/images/blankalbum.gif
#       chmod 700 bin/*
#        find . -type d -name CVS -delete
#        find . -type f -print0 | xargs -0 chmod ugo-x
#popd
ln -s %{_sysconfdir}/ampache %{buildroot}%{_datadir}/ampache/config

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc docs/* sql/ampache.sql README* config/*
%defattr(-,root,root)
%config(noreplace) %attr(640,root,apache) %{_sysconfdir}/ampache/ampache.cfg.php
%config(noreplace) %attr(640,root,apache) %{_sysconfdir}/ampache/*.dist
%dir %attr(-,apache,root) %{_localstatedir}/log/ampache
%config(noreplace) %{_sysconfdir}/httpd/conf.d/ampache.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/ampache
%{_datadir}/ampache
%{_mandir}/man1/ampache*

%changelog
* Sun Aug 26 2018 josef radinger <cheese@nosuchhost.net> - 3.8.9-1
- bump version

* Fri Jul 13 2018 josef radinger <cheese@nosuchhost.net> - 3.8.8-1
- bump version
- integrate work from Randy Barlow <randy@electronsweatshop.com>

* Fri Jan 26 2018 josef radinger <cheese@nosuchhost.net> - 3.8.5-1
- bump version

* Tue Dec 12 2017 josef radinger <cheese@nosuchhost.net> - 3.8.4-3
- remove dep on php-mysql

* Sun Dec 10 2017 josef radinger <cheese@nosuchhost.net> - 3.8.4-2
- build from source again, instead of binary blobs

* Thu Dec 07 2017 josef radinger <cheese@nosuchhost.net> - 3.8.4-1
- bump version

* Sun Jul 02 2017 josef radinger <cheese@nosuchhost.net> - 3.8.3-2
- move empty-man-dir out of docs

* Mon Jun 26 2017 josef radinger <cheese@nosuchhost.net> - 3.8.3-1
- bump version

* Fri Apr 01 2016 josef radinger <cheese@nosuchhost.net> - 3.8.2-1
- bump version
- update config-file
- dos2unix config
- update sql-patch

* Sat Jan 23 2016 josef radinger <cheese@nosuchhost.net> - 3.8.1-3
- fix apache-config
- switch to full install
- enable only reborn-theme

* Sat Jan 23 2016 josef radinger <cheese@nosuchhost.net> - 3.8.1-2
- fix spec-file, modify apache-config, move config

* Thu Dec 10 2015 josef radinger <cheese@nosuchhost.net> - 3.8.1-1
- bump version
- fix cfg-config

* Sat Jun 13 2015 josef radinger <cheese@nosuchhost.net> - 3.8.0-1
- bump version
- fix cfg-patch

* Wed Nov 26 2014 josef radinger <cheese@nosuchhost.net> - 3.7.0-1
- bump version
- modify patch0

* Tue Aug 21 2012 josef radinger <cheese@nosuchhost.net> - 3.6_alpha1-1
- bump version

* Sat Jan 07 2012 Paulo Roma <roma@lcg.ufrj.br> 3.5.4-12
- Removed unsupported hint directive.

* Sun Feb 07 2010 Paulo Roma <roma@lcg.ufrj.br> 3.5.4-11
- Updated to 3.5.4, which fixes some bugs introduced in the last release.
- Added missing blankalbum picture to looney-tunes and vegas themes.
- Conditionally patching for php 5.3
- Applied getid3 patch to fix: `ereg(i) is deprecated` errors in PHP 5.3
  http://devthought.com/tumble/2009/06/fix-ereg-is-deprecated-errors-in-php-53/
  and set_magic_quotes_runtime(0) is also deprecated.

* Mon Jan 04 2010 Paulo Roma <roma@lcg.ufrj.br> 3.5.3-10
- Updated to 3.5.3, several security fixes.
- Adapted confpath.patch

* Fri Nov 27 2009 Paulo Roma <roma@lcg.ufrj.br> 3.5.2-9
- Updated to 3.5.2, including a new theme.
- Adapted confpath.patch

* Thu Jun 25 2009 Paulo Roma <roma@lcg.ufrj.br> 3.5.1-8
- Updated to 3.5.1

* Thu May 14 2009 Paulo Roma <roma@lcg.ufrj.br> 3.5-8
- Changed apache_serverroot to %%{_datadir}.

* Sun May 10 2009 Paulo Roma <roma@lcg.ufrj.br> 3.5-7
- Added looney tunes theme.
- Removed config status from templates. 
- Converted ampache.sql to utf8.
- Added logrotate.

* Wed May 06 2009 Paulo Roma <roma@lcg.ufrj.br> 3.5-6
- Updated to 3.5
- Recreated ampache-3.5-cfg.patch and ampache-3.5-admin-passwd.patch
- Created man page.
- Updated description.

* Thu Feb 12 2009 Paulo Roma <roma@lcg.ufrj.br> 3.4.4-5
- Updated to 3.4.4

* Sat Oct 04 2008 Paulo Roma <roma@lcg.ufrj.br> 3.4.3-5
- Updated to 3.4.3
- Included two new themes.

* Tue Jul 29 2008 Paulo Roma <roma@lcg.ufrj.br> 3.4.2-4
- Updated to 3.4.2
- Added Req mp3splt.
- Removed Req libmad and libvorbis.

* Sun Jun 01 2008 Paulo Roma <roma@lcg.ufrj.br> 3.4.1-3
- Updated to 3.4.1
- Creating password changeme for admin.

* Thu May 15 2008 Paulo Roma <roma@lcg.ufrj.br> 3.4-2
- Updated to 3.4
- No more /var/www/ampache/download.
- Added /var/www/ampache/server.
- Adapted patches for version 3.4 and
  using more appropriate defaults.

* Sat Oct 20 2007 Paulo Roma <roma@lcg.ufrj.br> 3.3.3.5-1
- Updated to 3.3.3.5

* Thu Jul 12 2007 Paulo Roma <roma@lcg.ufrj.br> 3.3.3.4-1
- Updated to 3.3.3.4
- Adapted spec for Fedora.
- Adapted Requirements for Fedora.

* Sat Jun 23 2007 judas_iscariote@shorewall.net 3.3.3.3-6.1
- fix build
- use rpm macros
* Tue Jun 12 2007 lrupp@suse.de
- update to 3.3.3.3
  + Fixed Create A Catalog link if no catalog found
  + Fixed a problem with the installer created with db changes
  + Fixed a problem with recently played calc thinking there are
    60 hours in a day, and 60 days in a week :S
  + Fixed a bug in the duplicate display where the song_id's for the
    play link were always the same
  + Fixed bad sort link on show albums
  + Fixed missing Offset Limit
  + Altered session.id making it VARCHAR(64) to account for longer
    session id's generated by PHP
  + Added LastFM album art searching
  + Fixed Show All on Song Title and Genre Browse
  + Tweaked Preferred Album Art filename to allow %% in filename to
    indicate wildcards (a preg .*)
  + Fixed plugin preferences not being built correctly
  + Fixed the logic with MPD Global/Local with an ugly hack
  + Fixed the dump album art script for real this time
  + Added a missing icon for the add user
  + Fixed a potential infinite loop on the random album display
  + Fixed the /bin/ scripts so that you don't have to be in their
    dir to execute them
- rename ampache-3.3.3.2.dif and ampache-3.3.3.2-confpath.dif to
  follow the openSUSE packaging guidelines
* Tue May 22 2007 lrupp@suse.de
- also package README.SUSE file
- added /var/log/ampache as directory
* Sun May 20 2007 lrupp@suse.de
- update to 3.3.3.2
- cleanup buildroot
* Wed Sep 13 2006 poeml@suse.de
- fix path to config file in test.php (which is run when
  configuration errors are encountered)
* Tue Jan 31 2006 poeml@suse.de
- don't set register_globals, it is no longer needed
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 cthiel@suse.de
- update to 3.3.1.6
- dropped ampache-3.3.1.2-Snoopy-1.2.1.dif (included upstream)
* Wed Jan 18 2006 poeml@suse.de
- fix dependencies for php5
* Fri Dec  9 2005 poeml@suse.de
- fixed security bug in snoopy php module (bundled HTTP client
  library), which allowed an authenticated user to remotely execute
  code on the server.  [#136704], CVE-2005-3330
* Sat Jul 16 2005 poeml@suse.de
- update to 3.3.1.2
* Wed Sep 15 2004 poeml@suse.de
- now that php4-iconv exists on all architectures, we can require
  it.
* Mon Sep 13 2004 poeml@suse.de
- remove requirement on php4-iconv again, because it does not exist
  on certain architectures (see php4.spec). (Wrapping in %%ifnarch
  doesn't help because the package is noarch.)
* Thu Sep  9 2004 poeml@suse.de
- add php4-session php4-mysql to Requires
* Mon Sep  6 2004 poeml@suse.de
- update to 3.2.2
- the default name of the database for a new installation is now
  changed from "ampache3_1" to "ampache"
- make the package require php4-iconv
- in /etc/apache2/conf.d/ampache.conf, refer to the Timeout that is
  set globally from /etc/sysconfig/apache2
* Sun Aug 29 2004 ro@suse.de
- remove apache1 traces
* Sat May  1 2004 poeml@suse.de
- update to 3.2-Alpha2.1 (fixing bug of 3.2-Alpha2 that reset user
  passwords)
* Mon Apr 26 2004 poeml@suse.de
- update to 3.2-Alpha2
- upstream config file moved to config/
- cleaning of buildroot is done by %%prep
* Thu Mar 25 2004 poeml@suse.de
- update to 3.2-Alpha1
- the patch to make $action global is included
- wrap configuration into <IfModule sapi_apache2.c>, so apache
  won't refuse to start if mod_php4 is not loaded
- bzip2 sources
- drop the requires on the perl modules that are needed only for
  migration from old database versions. Instead, put it in the
  documentation
- update the README and put the instructions for new installations
  at the top, so it is less confusing
* Mon Mar 22 2004 poeml@suse.de
- fix wrong directory permissions of docdir [#36431]
* Mon Mar  8 2004 poeml@suse.de
- update to cvs version
- reenable register_globals for now, since not all features work
  without it
* Wed Feb  4 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Mon Jan  5 2004 poeml@suse.de
- update to 3.1.02
- drop ampache-3.0-sorting.dif (included upstream)
- drop ampache-3.0-session-expire.dif, obsolete
- adjust to new file layout
- add Requires: perl-DBI perl-Msql-Mysql-modules perl-Data-ShowTable
  for the migration scripts
- rename README.SUSE file and add notes about migration
* Thu Nov 20 2003 poeml@suse.de
- add patch that prevents certain login failures due to cookies
  from the year 1935
- set a default character set
- add a hint on configuration without a virtual host
* Fri Sep 19 2003 poeml@suse.de
- apache configuration:
  - fix trailing slash in Alias
  - add Directory configuration (needed for apache2, where not
    everything is allowed by default) [#29729]
  - install the configuration file also for apache2
  - add Requires: http_daemon mod_php
* Thu Aug 14 2003 poeml@suse.de
- add activation metadata to sysconfig template [#28815]
* Thu Jul 31 2003 poeml@suse.de
- fix permissions of /etc/ampache.conf.inc to be readable by the
  webserver but not writable, [#21782]
* Fri May 16 2003 poeml@suse.de
- add patch to improve sorting
- don't package CVS directories
- remove executable flag from most files
* Tue May 13 2003 poeml@suse.de
- use %%defattr instead of chmod&chown
- modules/config.php doesn't need to be protected
* Thu Feb 27 2003 poeml@suse.de
- add sysconfig metadata [#22591]
- verify the instructions in README.SuSE and improve them
- improve the apache configuration, and add explaining comments
* Thu Aug  1 2002 poeml@suse.de
- fix apache ServerRoot
* Thu Aug  1 2002 poeml@suse.de
- use PreReq
* Wed Jul  3 2002 poeml@suse.de
- new package (version v3.0)
